// vfb, orig, 970131:  Carnie variants

#import "Carnie.h"

// Only difference between this Carnie and normal is that it checks to see
// if prey is "hidden". If says it is, HideFromCarnie doesn't see it.  Also,
// -move has been overridden to lock HideFromCarnie on the landRoot's mcr.
// In other words, if there are 10 sites, HideFromCarnie snaps to the mcr
// of all 10 combined.
@interface HideFromCarnie: Carnie {
}

+create; 
-copymom;
-(BOOL) attacks: (Critter*) other;
-move;
@end

@interface ToothlessCarnie: HideFromCarnie {
}

+create; 
-copymom;
@end
