// vfb, rewrite, 960116.
// vfb, orig, 951110:

#import <swarmobject.h>
#import "Base.h"
#import "Critter.h"

@interface Grazer: Critter {
    GCoord   lastmealx, lastmealy;	// where we last ate
  @public
    GRate    growrate;			// target growth rate
    double   veer;			// amount direction veers by	
    int      moverule;			// see -getMoveRadius for interp.	
}

// routines I need to override from Critter
+create;
-recycle;			
-reuse;			       
-recycleClear;                  // clear out recycling list
-copymom;			

-liveGrandma: (Species*) s;	// initialize/reinit a default grazer
-addSpeciesParams;

-resetGrowRate: (GRate) gr Veer: (double) v;
-setGrowRate: (GRate) gr;
-setVeer: (double) v;
-setConvertRate: (GRate) nr;

-(GCoord) getMoveRadius;
-setMoveRule: (int) mr;

-move;
-hunt;	

-printv;			

// here for override -- part of hunting behavior
-(Critter*) bestpreyMin: (GCoord) minradius;
@end
