// Copyright (C) 1996 Yale Institute for Biospheric Studies and Ginger Booth.
// This library is distributed without any warranty; without even the
// implied warranty of merchantability or fitness for a particular purpose.
// See file LICENSE for details and terms of copying.

// vfb, original, 960710:  

// This module implements an extremely limited Obj-C interpreter.  The ONLY
// constructs permitted are:
// 	1. Comments (anything past //  on a line)
//      2. Blank space
//      3. Simple (non-nested) message calls of form [target message: ... ]
//      4. Semicolons after messages are ignored.
//      5. Multi-line messages are permitted, but total length must be < 256.
//      6. Arguments must be either numbers or names of declared parameters.
//      7. A parameter declaration is [parameters Add: newparm Value: .... ]
//      8. Parameters must be declared before they're referred to.
//      9. String literals for parameter values (text) are "delimited"


extern void interpret(char* protocolFile);
