// vfb, 960402: original.  Really just learning how....
 
#import <swarmobject.h>		
#import <stdlib.h>
#import "Base.h"
#import "Gecko.h"
#import "Critter.h"
#import "Grazer.h"
#import "Carnie.h"
#import "Stat.h"
#import "Reg.h"

// from Gecko.m
extern Critter* plantGrandma;
extern Grazer* gopperGrandma;
extern Carnie* spiderGrandma;
extern int initNumPlants;
extern int initNumGoppers;
extern int initNumSpiders;

ProbeMap* ProgReg;	// program control variables registry
ProbeMap* ScenarioReg;	// scenario control variables registry
ProbeDisplay* ScenarioRegP; // popup
ProbeMap* EvolStratReg;    // Ev.Strategy search control variables registry

void makeProbes() 
{
#define parmcount 9
    SimParameters * simParameters;
    
    // A statically initialized struct that describes all parameters.
    // The TCL_LINK business is black magic: essentially the C variable
    // is automagically set to whatever is currently in the entry slot.
    // Valid types are INT, DOUBLE, BOOLEAN, and STRING.
    double pt = plantGrandma->energy->taxrate[carbos];
    
    Parameter p[parmcount] = {
        {"stop day", &stopday, TCL_LINK_INT},
        {"world X size", &worldXSize, TCL_LINK_DOUBLE},
        {"world Y size", &worldYSize, TCL_LINK_DOUBLE},
        {"init #plants", &initNumPlants, TCL_LINK_INT},
        {"init #goppers", &initNumGoppers, TCL_LINK_INT},
        {"init #spiders", &initNumSpiders, TCL_LINK_INT},
        {"goppers born", &gopperBirthday, TCL_LINK_INT},
        {"spiders born", &spiderBirthday, TCL_LINK_INT},
        {"plant tax coeff", &pt, TCL_LINK_DOUBLE}
    };
    
    // Code to create the simParameters object, execute it. (Note,
    // simParameters is allocated in the global zone. This is safe.)
    simParameters = [SimParameters createBegin: globalZone];
    [simParameters setParameterList: p Num: parmcount];
    simParameters = [simParameters createEnd];
    [simParameters readValues: simControl];
    
    plantGrandma->energy->taxrate[carbos] = pt;
}

