// vfb, 9601??--have been fiddling with all along.
// vfb, orig, 951020:  mockup for testing Quad & Mcr code.

#import "Base.h"
#import "GeckoControlSwarm.h"
#import <simtools.h>
#import <activity.h>

GeckoControlSwarm * geckoControl;

int main(int argc, char ** argv) 
{
    int arg;
    
    // Swarm initialization: all Swarm apps must call this first.
    initSwarm(argc, argv);
    
    geckoControl = [GeckoControlSwarm create: globalZone];
    for (arg=1; arg < argc; arg++) {
        if (! strcmp(argv[arg], "-batch")) {
            [geckoControl setDisplayFlag: 0];
        }
        if (! strcmp(argv[arg], "-proto")) {
            [geckoControl setProtocol: argv[arg+1]];
            arg++;
        }
    }
    [geckoControl buildObjects];
    
    // main loop
    do {
        [geckoControl buildActions];
        [geckoControl activateIn: nil];
        [geckoControl go];
           
    } while ([geckoControl getGeckoRuns] > 0);
    
    return 0;					  // all done! Exit.
}
