/* $Header: /tmp_mnt/vida/disks/disk5/Users/terry/r/echo/RCS/random.h,v 1.4 1992/10/22 04:14:17 terry Exp $ */

#define NO_SEED (-1L)
long		InitRand();
double	EvenRand();	/* uniformly distributed over [0..1] */
double	GaussRand();    /* Normal distrib, mean=0., variance=1. */ 
double	ExpRand();      /* Exponential distrib, mean=1.0 */ 

/*
 * Some macros to access the random number generator in a friendly
 * fashion.
 */

#define biased_coin_flip(prob) (EvenRand() < (prob))
#define uniform(n)   ( (int) ( EvenRand() * (double)(n) ) )
/*
 * Return TRUE or FALSE with equal probability.
 */
#define random_boolean() (biased_coin_flip(0.5) ? TRUE : FALSE)

