#include <math.h>
#include <stdio.h>

main ()
{
    double tax 		= .365;
    double fconv 	= .33333;  
    double growth       = .0306;
    long   time 	= 0;
    double radius;
    double reportradius;
    double reportdelta  = 0.05;
    double volume;
    double area;
    double income;
    double outgo;
    double deltavol;
    double lastr;
   
    radius = 3.0;
    reportradius = 3.0;
    printf("growthrate = %4.2f%%, taxrate = %4.2f%%\n\n",
        growth * 100.0, tax * 100.0); 
    printf("radius  time    area     volume   income  outgo   deltav\n");        
    for (time=0; time <= 10000, radius < 15.0; time++) {
        area = M_PI * radius * radius;
        volume = (4.0 / 3.0) * radius * radius * radius;
        income = (tax * pow(volume, 0.75)) + growth * volume;
        outgo  = tax * pow( volume, 0.75 ); 
        deltavol = income - outgo;
        
        if ( (radius >= reportradius) || ((time % 1000) == 0) ) {
            printf("%6.1f  %6d  %7.1f  %7.1f  %6.1f  %6.1f  %6.1f  %5.3f\n",
                radius, time, area, volume, income, outgo, deltavol, growth);
            reportradius += reportdelta;         
        }     
        volume += deltavol;
        lastr  = radius;
        radius = pow( (volume * 0.75), 0.333333 );
        if (radius < lastr) radius += reportdelta;
    }
}
