#include <math.h>
#include <stdio.h>

main ()
{
    double tax 		= .0480;
    double fconv 	= .10;  
    double effarea 	= 1.00;
    long   time 	= 0;
    double radius;
    double reportradius;
    double reportdelta  = 0.5;
    double volume;
    double area;
    double income;
    double outgo;
    double deltavol;
    double growth;
    double lastr;
   
    radius = 1.0;
    reportradius = 1.0;
    printf("effective area = %4.2f%%, resource util = %4.2f%%, taxrate = %4.2f%%\n\n",
        effarea * 100.0, fconv * 100.0, tax * 100.0); 
    printf("radius  time    area     volume   income  outgo   deltav  growth%%\n");        
    for (time=0; time <= 10000, radius < 60.0; time++) {
        area = M_PI * radius * radius;
        volume = (4.0 / 3.0) * radius * radius * radius;
        income = area * effarea * fconv;
        outgo  = tax * pow(volume, 0.75); 
        deltavol = income - outgo;
        growth = 100.0 * deltavol / volume;
        
        if ( (radius >= reportradius) || (deltavol <= 0.0)) {
            printf("%6.1f  %6d  %7.1f  %7.1f  %6.1f  %6.1f  %6.1f  %5.2f\n",
                radius, time, area, volume, income, outgo, deltavol, growth);
            reportradius += reportdelta;         
            if (deltavol <= 0.0)
                exit(1);
        }     
        volume += deltavol;
        lastr  = radius;
        radius = pow( (volume * 0.75), 0.333333 );
        if ( ! ( (radius - lastr) > 0.0 ) )
            exit(1);
    }
}
